<?php
global $wpsc_query, $wpdb, $query_string;

$query_string = '&'.$query_string;

$category = str_replace('/', '', stripNonText(extractArgument($query_string, 'category_id')));
$page = stripNonText($_GET['page']);

$current_category = (isset($category) && $category != '') ? $category : 'all';
$current_category_nicename = icl_get_category_nicename($category);
$current_page = (isset($page) && $page != '') ? $page : 1;

$max_per_page_category = 4;
$max_per_page_product = 12;

if ($current_category == 'all')
{
	$product_count = count(icl_get_categories());
	
	$categories = icl_get_categories((($current_page - 1) * $max_per_page_category), $max_per_page_category);
	
	$max_page = ceil($product_count / $max_per_page_category);
	$max_page = ($max_page == 0) ? 1 : $max_page;
}
else
{
	$categories = array(icl_get_category($current_category));
}

?>
<div id="app" class="apptop">
	<div class="abl">
		<h2>Browse Other Apps</h2>
	</div>
	<div class="abr">
		<?php $category_list = icl_get_categories(); ?>
		<span>Browse</span>
		<form action="">
			<script type="text/javascript">
				jQuery(document).ready(function(){
					jQuery('#sys_category_list').change(function(){
						location.href = '<?php echo get_option('siteurl'); ?>/products-page/' + jQuery(this).val() + '/';
					});
				});
			</script>
			<select id="sys_category_list">
				<option value="all"<?php if ($current_category == 'all') : ?> selected="selected"<?php endif; ?>>All Category</option>
				<?php foreach($category_list as $category) : ?>
				<option value="<?php echo $category['nice-name']; ?>"<?php if ($current_category == $category['id']) : ?> selected="selected"<?php endif; ?>><?php echo $category['name']; ?></option>
				<?php endforeach; ?>
			</select>
		</form>
		<span>Page <?php echo $current_page ?> of <label id="sys_max_number_page"><?php echo $max_page ?></label></span>
		<?php if ($current_page == 1) : ?>
		<label>&laquo; Prev</label>
		<?php else: ?>
		<a href="<?php echo get_option('siteurl'); ?>/products-page/<?php echo (($current_category != '' && $current_category != 'all') ? $current_category_nicename . '/' : ''); ?>?page=<?php echo ($current_page - 1); ?>">&laquo; Prev</a>
		<?php endif; ?>
		|
		<label id="sys_label_next_page" style="<?php if ($current_page == $max_page){}else{ echo 'display:none;'; } ?>">Next &raquo;</label>
		<a id="sys_link_next_page" style="<?php if ($current_page == $max_page){ echo 'display:none;'; } ?>" href="<?php echo get_option('siteurl'); ?>/products-page/<?php echo (($current_category != '' && $current_category != 'all') ? $current_category_nicename . '/' : ''); ?>?page=<?php echo ($current_page + 1); ?>">Next &raquo;</a>
	</div>
	<div class="clear"></div>
</div>
<?php if (is_array($categories) && count($categories) > 0) : ?>
	<?php foreach($categories as $category) : ?>
<div class="colap">
	<h3>
		<?php echo $category['name']; ?>
		<?php if ($current_category == 'all') : ?>
		<a href="<?php echo get_option('siteurl'); ?>/products-page/<?php echo $category['nice-name']; ?>/">View All &raquo;</a>
		<?php endif; ?>
	</h3>
	<?php
		$i_row = 1;
		$i_product = 1;
		$max_per_row = 3;
		
		$sql = 'SELECT ' . WPSC_TABLE_PRODUCT_LIST . '.id, name, LEFT(description, 80) as description, image ';
		$sql .= 'FROM ' . WPSC_TABLE_PRODUCT_LIST . ' LEFT JOIN ' . WPSC_TABLE_ITEM_CATEGORY_ASSOC . ' ON ';
		$sql .= WPSC_TABLE_PRODUCT_LIST . '.id = ' . WPSC_TABLE_ITEM_CATEGORY_ASSOC . '.product_id ';
		$sql .= 'WHERE publish = 1 AND active = 1 AND ' . WPSC_TABLE_ITEM_CATEGORY_ASSOC . '.category_id = ' . $category['id'] . ' ';
		
		if ($current_category != 'all')
		{
			$product_count = count($wpdb->get_results($sql, ARRAY_A));
			
			$sql .= 'LIMIT ' . (($current_page - 1) * $max_per_page_product) . ', ' . $max_per_page_product;
			
			$max_page = ceil($product_count / $max_per_page_product);
			$max_page = ($max_page == 0) ? 1 : $max_page;
		}
		else
		{
			$sql .= 'LIMIT ' . $max_per_row;
		}
		
		$wpsc_query->products = $wpdb->get_results($sql, ARRAY_A);
		$wpsc_query->product_count = count($wpsc_query->products);
	?>
	<?php while (wpsc_have_products()) :  wpsc_the_product(); ?>
	<div class="app<?php if ($i_row == $max_per_row) : ?> appr<?php endif; ?>">
		<?php if(get_option('show_thumbnails')) :?>
		<div class="iconfeat">
			<?php if(wpsc_the_product_thumbnail()) :?>
				<img id="<?php echo $category['nice-name']; ?>_product_image_<?php echo wpsc_the_product_id(); ?>" alt="<?php echo wpsc_the_product_title(); ?>" title="<?php echo wpsc_the_product_title(); ?>" src="<?php echo wpsc_the_product_thumbnail(); ?>" width="60" height="59" />
			<?php else: ?>
				<span>No Image Available</span>
			<?php endif; ?>
		</div><!-- iconfeat -->
		<?php endif; ?>
		<h4>
		<?php if(get_option('hide_name_link') == 1) : ?>
			<span><?php echo wpsc_the_product_title(); ?></span>
		<?php else: ?> 
			<a href="<?php echo wpsc_the_product_permalink(); ?>"><?php echo wpsc_the_product_title(); ?></a>
		<?php endif; ?>
		</h4>
		<span class="grey">
			<?php
				echo icl_output_get_categories(wpsc_the_product_id(), ', ', '<span class="grey">', '</span>');
			?>
		</span><br />
		<?php if(wpsc_product_is_donation()) : ?>
		<?php else : ?>
			<?php if(wpsc_product_on_special()) : ?>
				<strong style="text-decoration:line-through;"><?php echo wpsc_product_normal_price(); ?></strong>
			<?php endif; ?>
			<strong><?php echo wpsc_the_product_price(); ?></strong>
		<?php endif; ?>
		<div class="clear"></div>
		<p><?php echo wpsc_the_product_description(); ?></p>
	</div><!-- app -->
	<?php if ($i_row == $max_per_row) : ?>
	<div class="clear"></div>
	<?php $i_row = 0; ?>
	<?php endif; ?>
	<?php ++$i_row; ?>
	<?php if ($i_product == $wpsc_query->product_count) : ?>
	<div class="clear"></div>
	<?php endif; ?>
	<?php ++$i_product; ?>
	<?php endwhile; ?>
</div>
	<?php endforeach; ?>
<?php endif; ?>
<?php if ($current_category != 'all') : ?>
<script type="text/javascript">
	jQuery(document).ready(function(){
		jQuery('#sys_max_number_page').text(<?php echo $max_page; ?>);
		<?php if ($current_page == $max_page) : ?>
		jQuery('#sys_link_next_page').hide();
		jQuery('#sys_label_next_page').show();
		<?php endif; ?>
	});
</script>
<?php endif; ?>
<div class="appbot">
	<div class="abl">
		<a href="#app">Back to top</a>
	</div>
	<div class="abr">
		<span>Page <?php echo $current_page ?> of <?php echo $max_page ?></span>
		<?php if ($current_page == 1) : ?>
		<label>&laquo; Prev</label>
		<?php else: ?>
		<a href="<?php echo get_option('siteurl'); ?>/products-page/<?php echo (($current_category != '' && $current_category != 'all') ? $current_category_nicename . '/' : ''); ?>?page=<?php echo ($current_page - 1); ?>">&laquo; Prev</a>
		<?php endif; ?>
		|
		<?php if ($current_page == $max_page) : ?>
		<label>Next &raquo;</label>
		<?php else: ?>
		<a href="<?php echo get_option('siteurl'); ?>/products-page/<?php echo (($current_category != '' && $current_category != 'all') ? $current_category_nicename . '/' : ''); ?>?page=<?php echo ($current_page + 1); ?>">Next &raquo;</a>
		<?php endif; ?>
	</div>
	<div class="clear"></div>
</div>