<?php
/**
 * @package WordPress
 * @subpackage AppCloud
 */

require_once(dirname(__FILE__) . '/includes/functions.php');

$homeCls = 'on';

$has_featured = FALSE;

// get featured category
$featured_category = $wpdb->get_row('SELECT id FROM '. WPSC_TABLE_PRODUCT_CATEGORIES . ' WHERE `nice-name` = "featured" LIMIT 1', ARRAY_A);
if($featured_category != null)
{
	// get all featured products
	$wpsc_query = new WPSC_Query(array('category_id' => $featured_category['id']));
	
	$has_featured = TRUE;
}

get_header(); ?>
<script type="text/javascript" charset="utf-8">
stepcarousel.setup({
	galleryid: 'featured', //id of carousel DIV
	beltclass: 'belt', //class of inner "belt" DIV containing all the panel DIVs
	panelclass: 'panel', //class of panel DIVs each holding content
	autostep: {enable:false, moveby:1, pause:3000},
	panelbehavior: {speed:500, wraparound:false, persist:true},
	defaultbuttons: {enable: true, moveby: 1, leftnav: ['<?php bloginfo('stylesheet_directory'); ?>/images/ico_navl2.png', -14, 210], rightnav: ['<?php bloginfo('stylesheet_directory'); ?>/images/ico_navr2.png', -17, 210]},
	statusvars: ['statusA', 'statusB', 'statusC'], //register 3 variables that contain current panel (start), current panel (last), and total panels
	contenttype: ['inline'] //content setting ['inline'] or ['external', 'path_to_external_file']
});
stepcarousel.setup({
	galleryid: 'mostdownloadweek', //id of carousel DIV
	beltclass: 'belt', //class of inner "belt" DIV containing all the panel DIVs
	panelclass: 'panel', //class of panel DIVs each holding content
	autostep: {enable:false, moveby:1, pause:3000},
	panelbehavior: {speed:500, wraparound:false, persist:true},
	defaultbuttons: {enable: true, moveby: 1, leftnav: ['<?php bloginfo('stylesheet_directory'); ?>/images/ico_navl2.png', -14, 210], rightnav: ['<?php bloginfo('stylesheet_directory'); ?>/images/ico_navr2.png', -17, 210]},
	statusvars: ['statusA', 'statusB', 'statusC'], //register 3 variables that contain current panel (start), current panel (last), and total panels
	contenttype: ['inline'] //content setting ['inline'] or ['external', 'path_to_external_file']
});
</script>
		<div id="featured" class="wrap1 stepcarousel">
			<div class="belt">

			<?php if ($has_featured) : ?>
				<?php while (wpsc_have_products()) :  wpsc_the_product(); ?>
					<div class="panel">
						<div class="textfeat">
							<h3>Featured Apps</h3>
							<?php if(get_option('show_thumbnails')) :?>
							<div class="iconfeat">
								<?php if(wpsc_the_product_thumbnail()) :?>
									<img id="product_image_<?php echo wpsc_the_product_id(); ?>" alt="<?php echo wpsc_the_product_title(); ?>" title="<?php echo wpsc_the_product_title(); ?>" src="<?php echo wpsc_the_product_thumbnail(); ?>" width="60" height="59" />
								<?php else: ?>
									<span>No Image Available</span>
								<?php endif; ?>
							</div><!-- iconfeat -->
							<?php endif; ?>
							<div class="feat">
								<h4>
									<?php if(get_option('hide_name_link') == 1) : ?>
										<span><?php echo wpsc_the_product_title(); ?></span>
									<?php else: ?> 
										<a href="<?php echo wpsc_the_product_permalink(); ?>"><?php echo wpsc_the_product_title(); ?></a>
									<?php endif; ?>
								</h4>
								<?php
									echo icl_output_get_categories(wpsc_the_product_id(), ', ', '<span class="grey">', '</span>');
								?>
								<br />
								<?php if(wpsc_product_is_donation()) : ?>
								<?php else : ?>
									<?php if(wpsc_product_on_special()) : ?>
										<strong style="text-decoration:line-through;"><?php echo wpsc_product_normal_price(); ?></strong>
									<?php endif; ?>
									<strong><?php echo wpsc_the_product_price(); ?></strong>
								<?php endif; ?>
								<?php echo wpsc_the_product_description(); ?>
								<?php if(wpsc_product_external_link(wpsc_the_product_id()) != '') : ?>
									<?php	$action =  wpsc_product_external_link(wpsc_the_product_id()); ?>
								<?php else: ?>
									<?php	$action =  wpsc_this_page_url(); ?>						
								<?php endif; ?>
								<form class='product_form' enctype="multipart/form-data" action="<?php echo wpsc_this_page_url(); ?>" method="post" name="1" id="product_<?php echo wpsc_the_product_id(); ?>">
								<!-- THIS IS THE QUANTITY OPTION MUST BE ENABLED FROM ADMIN SETTINGS -->
								<?php if(wpsc_has_multi_adding()): ?>
									<input type="hidden" id='wpsc_quantity_update' name="wpsc_quantity_update" size="2" value="1"/>
									<input type="hidden" name="key" value="<?php echo wpsc_the_cart_item_key(); ?>"/>
									<input type="hidden" name="wpsc_update_quantity" value="true"/>
								<?php endif ;?>
								<!-- END OF QUANTITY OPTION -->
								<input type="hidden" value="add_to_cart" name="wpsc_ajax_action"/>
								<input type="hidden" value="<?php echo wpsc_the_product_id(); ?>" name="product_id"/>

								<?php if(wpsc_product_is_customisable()) : ?>				
									<input type="hidden" value="true" name="is_customisable"/>
								<?php endif; ?>

								<?php if((get_option('hide_addtocart_button') == 0) && (get_option('addtocart_or_buynow') !='1')) : ?>
									<?php if(wpsc_product_has_stock()) : ?>
									<span class="buy">
										<img width="14" height="16" src="<?php bloginfo('template_url'); ?>/images/ico_buy.png" />
										<?php if(wpsc_product_external_link(wpsc_the_product_id()) != '') : ?>
											<?php	$action =  wpsc_product_external_link(wpsc_the_product_id()); ?>
										<a href="#" onclick="javascript:gotoexternallink('<?php echo $action; ?>');"><?php echo TXT_WPSC_BUYNOW; ?></a>
										<?php else: ?>
										<a href="#" id="product_<?php echo wpsc_the_product_id(); ?>_submit_button" onclick="javascript:document.getElementById('product_<?php echo wpsc_the_product_id(); ?>').submit();"><?php echo TXT_WPSC_ADDTOCART; ?></a>
										<?php endif; ?>
									</span>
									<div class='wpsc_loading_animation'>
										<img title="Loading" alt="Loading" src="<?php echo WPSC_URL ;?>/images/indicator.gif" class="loadingimage" />
										<?php echo TXT_WPSC_UPDATING_CART; ?>
									</div>
									<?php else : ?>
									<p class='soldout'><?php echo TXT_WPSC_PRODUCTSOLDOUT; ?></p>
									<?php endif ; ?>
								<?php endif ; ?>
								</form>
							</div><!-- feat -->
						</div><!-- textfeat -->
						<?php $product_picture = get_product_meta(wpsc_the_product_id(), 'product_picture'); ?>
						<?php if($product_picture != '') : ?>
						<div class="imgfeat<?php if (icl_is_horizontal(wpsc_the_product_id())) : ?> ifhr<?php endif; ?>">
							<img alt="<?php echo wpsc_the_product_title(); ?>" src="<?php echo $product_picture; ?>" />
						</div><!-- imgfeat -->
						<?php endif; ?>
						<div class="clear"></div>
					</div><!-- panel -->
				<?php endwhile; ?>
				<?php endif; ?>

			</div><!-- belt -->
		</div><!-- wrap1 -->
		<div id="mostdownloadweek" class="wrap2 stepcarousel">
			<div class="belt">

<?php
// get top selling in this week
$top_selling_at_time = 'This Week';
$sql = get_sql_top_selling(getWeekRange());
$wpsc_query->products = $wpdb->get_results($sql, ARRAY_A);
$wpsc_query->product_count = count($wpsc_query->products);

// get top selling in this month
if ($wpsc_query->product_count == 0)
{
	$top_selling_at_time = 'This Month';
	$sql = get_sql_top_selling(getMonthRange());
	$wpsc_query->products = $wpdb->get_results($sql, ARRAY_A);
	$wpsc_query->product_count = count($wpsc_query->products);
}

// get top selling in all time
if ($wpsc_query->product_count == 0)
{
	$top_selling_at_time = 'All Time';
	$sql = get_sql_top_selling(getMonthRange());
	$wpsc_query->products = $wpdb->get_results($sql, ARRAY_A);
	$wpsc_query->product_count = count($wpsc_query->products);
}

$n_download = count($wpsc_query->products);
$i_row_download = 1;
$i_slide_download = 1;
$max_per_row = 4;
$max_per_slide = 8;

$downloadRemain = bcmod($n_download, $max_per_slide);
$downloadRemain = ($downloadRemain == $n_download) ? $max_per_slide - $n_download : $downloadRemain;
?>
			<?php $hasSlideContainer = TRUE; ?>
			<?php while (wpsc_have_products()) :  wpsc_the_product(); ?>
			<?php if ($iDownload < $n_download) : ?>
				<?php if($i_slide_download == 1) : ?>
				<?php $hasSlideContainer = FALSE; ?>
				<div class="panel">
					<h3>Top Selling <?php echo $top_selling_at_time; ?></h3>
				<?php endif; ?>
					<div class="app">
						<?php if(get_option('show_thumbnails')) :?>
						<div class="iconfeat">
							<?php if(wpsc_the_product_thumbnail()) :?>
								<img id="product_image_<?php echo wpsc_the_product_id(); ?>" alt="<?php echo wpsc_the_product_title(); ?>" title="<?php echo wpsc_the_product_title(); ?>" src="<?php echo wpsc_the_product_thumbnail(); ?>" width="60" height="59" />
							<?php else: ?>
								<span>No Image Available</span>
							<?php endif; ?>
						</div><!-- iconfeat -->
						<?php endif; ?>
						<h4>
						<?php $p_title = wpsc_the_product_title(); ?>
						<?php $p_title = (strlen($p_title) > 8) ? substr($p_title, 0, 8) . '...' : $p_title; ?>
						<?php if(get_option('hide_name_link') == 1) : ?>
							<span><?php echo $p_title; ?></span>
						<?php else: ?> 
							<a href="<?php echo wpsc_the_product_permalink(); ?>"><?php echo $p_title; ?></a>
						<?php endif; ?>
						</h4>
						<span class="grey">
							<?php
								echo icl_output_get_categories(wpsc_the_product_id(), ', ', '<span class="grey">', '</span>');
							?>
						</span><br />
						<?php if(wpsc_product_is_donation()) : ?>
						<?php else : ?>
							<?php if(wpsc_product_on_special()) : ?>
								<strong style="text-decoration:line-through;"><?php echo wpsc_product_normal_price(); ?></strong>
							<?php endif; ?>
							<strong><?php echo wpsc_the_product_price(); ?></strong>
						<?php endif; ?>
						<div class="clear"></div>
						<p><?php echo wpsc_the_product_description(); ?></p>
					</div><!-- app -->
					<?php if($i_row_download == $max_per_row) : ?>
					<?php $i_row_download = 0; ?>
					<div class="clear"></div>
					<?php endif; ?>
					<?php ++$i_row_download;?>
				<?php if($i_slide_download == $max_per_slide) : ?>
				<?php $hasSlideContainer = TRUE; ?>
				<?php $i_slide_download = 0; ?>
				</div><!-- panel -->
				<?php endif; ?>
				<?php ++$i_slide_download;?>
			<?php endif; ?>
			<?php endwhile; ?>
				<?php if(!$hasSlideContainer) : ?>
				</div><!-- panel -->
				<?php endif; ?>
			</div><!-- belt -->
		</div><!-- wrap2 -->

<?php get_footer(); ?>
