<?php
	require_once(dirname(__FILE__) . '/includes/functions.php');
	
	get_header();
	
	$has_result = FALSE;
	
	$search_query = get_search_query();
	
	$page = stripNonText($_GET['page']);
	$current_page = (isset($page) && $page != '') ? $page : 1;
	
	$i_row = 1;
	$i_product = 1;
	$max_per_row = 3;
	$max_per_page_product = 12;
	
	if ($search_query != '')
	{
		$sql = 'SELECT ' . WPSC_TABLE_PRODUCT_LIST . '.id, name, LEFT(description, 80) as description, image ';
		$sql .= 'FROM ' . WPSC_TABLE_PRODUCT_LIST . ' ';
		$sql .= 'WHERE publish = 1 AND active = 1 ';
		$sql .= 'AND (name LIKE "%'.$search_query.'%" OR description LIKE "%'.$search_query.'%" OR additional_description LIKE "%'.$search_query.'%" OR price LIKE "%'.$search_query.'%") ';
		
		$product_count = count($wpdb->get_results($sql, ARRAY_A));
		
		$sql .= 'LIMIT ' . (($current_page - 1) * $max_per_page_product) . ', ' . $max_per_page_product;
		
		$wpsc_query->products = $wpdb->get_results($sql, ARRAY_A);
		$wpsc_query->product_count = count($wpsc_query->products);
		
		$max_page = ceil($product_count / $max_per_page_product);
		$max_page = ($max_page == 0) ? 1 : $max_page;
		
		if ($wpsc_query->product_count > 0)
		{
			$has_result = TRUE;
		}
	}
	
?>
	<div class="wrap0top"></div><!-- wrap0 -->
	<div class="wrap0">
		<div class="wrapin">
			<div class="mainbar">
				<div id="app" class="apptop">
					<div class="abl">
						<h2>Search Results</h2>
					</div>
					<div class="abr">
						<span>Page <?php echo $current_page ?> of <?php echo $max_page ?></span>
						<?php if ($current_page == 1) : ?>
						<label>&laquo; Prev</label>
						<?php else: ?>
						<a href="<?php echo get_option('siteurl'); ?>/?s=<?php echo $search_query; ?>&page=<?php echo ($current_page - 1); ?>">&laquo; Prev</a>
						<?php endif; ?>
						|
						<?php if ($current_page == $max_page) : ?>
						<label>Next &raquo;</label>
						<?php else: ?>
						<a href="<?php echo get_option('siteurl'); ?>/?s=<?php echo $search_query; ?>&page=<?php echo ($current_page + 1); ?>">Next &raquo;</a>
						<?php endif; ?>
					</div>
					<div class="clear"></div>
				</div>
				<div class="colap">
					<h3><?php echo $search_query; ?></h3>
					<?php if ($has_result) : ?>
					<?php while (wpsc_have_products()) :  wpsc_the_product(); ?>
					<div class="app<?php if ($i_row == $max_per_row) : ?> appr<?php endif; ?>">
						<?php if(get_option('show_thumbnails')) :?>
						<div class="iconfeat">
							<?php if(wpsc_the_product_thumbnail()) :?>
								<img id="product_image_<?php echo wpsc_the_product_id(); ?>" alt="<?php echo wpsc_the_product_title(); ?>" title="<?php echo wpsc_the_product_title(); ?>" src="<?php echo wpsc_the_product_thumbnail(); ?>" width="60" height="59" />
							<?php else: ?>
								<span>No Image Available</span>
							<?php endif; ?>
						</div><!-- iconfeat -->
						<?php endif; ?>
						<h4>
						<?php if(get_option('hide_name_link') == 1) : ?>
							<span><?php echo wpsc_the_product_title(); ?></span>
						<?php else: ?> 
							<a href="<?php echo wpsc_the_product_permalink(); ?>"><?php echo wpsc_the_product_title(); ?></a>
						<?php endif; ?>
						</h4>
						<span class="grey">
							<?php
								echo icl_output_get_categories(wpsc_the_product_id(), ', ', '<span class="grey">', '</span>');
							?>
						</span><br />
						<?php if(wpsc_product_is_donation()) : ?>
						<?php else : ?>
							<?php if(wpsc_product_on_special()) : ?>
								<strong style="text-decoration:line-through;"><?php echo wpsc_product_normal_price(); ?></strong>
							<?php endif; ?>
							<strong><?php echo wpsc_the_product_price(); ?></strong>
						<?php endif; ?>
						<div class="clear"></div>
						<p><?php echo wpsc_the_product_description(); ?></p>
					</div><!-- app -->
					<?php if ($i_row == $max_per_row) : ?>
					<div class="clear"></div>
					<?php $i_row = 0; ?>
					<?php endif; ?>
					<?php ++$i_row; ?>
					<?php if ($i_product == $wpsc_query->product_count) : ?>
					<div class="clear"></div>
					<?php endif; ?>
					<?php ++$i_product; ?>
					<?php endwhile; ?>
					<?php else : ?>
					<h2 class="center">No posts found. Try a different search?</h2>
					<?php endif; ?>
				</div>
				<div class="appbot">
					<div class="abl">
						<a href="#app">Back to top</a>
					</div>
					<div class="abr">
						<span>Page <?php echo $current_page ?> of <?php echo $max_page ?></span>
						<?php if ($current_page == 1) : ?>
						<label>&laquo; Prev</label>
						<?php else: ?>
						<a href="<?php echo get_option('siteurl'); ?>/?s=<?php echo $search_query; ?>&page=<?php echo ($current_page - 1); ?>">&laquo; Prev</a>
						<?php endif; ?>
						|
						<?php if ($current_page == $max_page) : ?>
						<label>Next &raquo;</label>
						<?php else: ?>
						<a href="<?php echo get_option('siteurl'); ?>/?s=<?php echo $search_query; ?>&page=<?php echo ($current_page + 1); ?>">Next &raquo;</a>
						<?php endif; ?>
					</div>
					<div class="clear"></div>
				</div>
			</div>
			<?php get_sidebar(); ?>
			<span class="clear"></span>
		</div>
	</div>
	<div class="wrap0bot"></div>

<?php get_footer(); ?>