<?php
/**
 * @package WordPress
 * @subpackage AppCloud
 */

global $wpsc_query, $wpdb, $featured_category, $current_product_id;

// get featured category
if (!isset($featured_category))
{
	$featured_category = $wpdb->get_row('SELECT id FROM '. WPSC_TABLE_PRODUCT_CATEGORIES . ' WHERE `nice-name` = "featured" LIMIT 1', ARRAY_A);
}

// get random featured product
if (isset($featured_category) && is_array($featured_category) && count($featured_category) > 0)
{
	$sql = 'SELECT ' . WPSC_TABLE_PRODUCT_LIST . '.id, name, LEFT(description, 80) as description, price, pnp, file, image, special, special_price ';
	$sql .= 'FROM ' . WPSC_TABLE_PRODUCT_LIST . ' LEFT JOIN ' . WPSC_TABLE_ITEM_CATEGORY_ASSOC . ' ON ';
	$sql .= WPSC_TABLE_PRODUCT_LIST . '.id = ' . WPSC_TABLE_ITEM_CATEGORY_ASSOC . '.product_id ';
	$sql .= 'WHERE publish = 1 AND active = 1 AND ' . WPSC_TABLE_ITEM_CATEGORY_ASSOC . '.category_id = ' . $featured_category['id'] . ' ';
	if ($current_product_id != '')
	{
		$sql .= 'AND ' . WPSC_TABLE_PRODUCT_LIST . '.id != ' . $current_product_id . ' ';
	}
	$sql .= 'ORDER BY RAND() LIMIT 1';
	
	$wpsc_query->products = $wpdb->get_results($sql, ARRAY_A);
	$wpsc_query->product_count = count($wpsc_query->products);
}

?>
	<div id="sidebar" class="sidebar" role="complementary">
		<?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar() ) : ?>
		<?php endif; ?>
		<div class="sidein">
			<h3>Search App</h3>
			<div class="search">
			<?php get_search_form(); ?>
			</div>
			<?php while (wpsc_have_products()) :  wpsc_the_product(); ?>
			<h3>Featured App</h3>
			<div class="app">
				<?php if(get_option('show_thumbnails')) :?>
				<?php if(wpsc_the_product_thumbnail()) :?>
					<img id="product_image_<?php echo wpsc_the_product_id(); ?>" alt="<?php echo wpsc_the_product_title(); ?>" title="<?php echo wpsc_the_product_title(); ?>" src="<?php echo wpsc_the_product_thumbnail(); ?>" width="62" height="62" />
				<?php else: ?>
					<span>No Image Available</span>
				<?php endif; ?>
				<?php endif; ?>
				<h4>
				<?php if(get_option('hide_name_link') == 1) : ?>
					<span><?php echo wpsc_the_product_title(); ?></span>
				<?php else: ?> 
					<a href="<?php echo wpsc_the_product_permalink(); ?>"><?php echo wpsc_the_product_title(); ?></a>
				<?php endif; ?>
				</h4>
				<span class="grey">
				<?php
					echo icl_output_get_categories(wpsc_the_product_id(), ', ', '<span class="grey">', '</span>');
				?>
				</span>
				<br/>
				<?php if(wpsc_product_is_donation()) : ?>
				<?php else : ?>
					<?php if(wpsc_product_on_special()) : ?>
						<strong style="text-decoration:line-through;"><?php echo wpsc_product_normal_price(); ?></strong>
					<?php endif; ?>
					<strong><?php echo wpsc_the_product_price(); ?></strong>
				<?php endif; ?>
				<div class="clear"></div>
				<p><?php echo wpsc_the_product_description(); ?></p>
			</div>
			<div class="clear"></div>
			<form class='product_form' enctype="multipart/form-data" action="<?php echo wpsc_this_page_url(); ?>" method="post" name="1" id="product_<?php echo wpsc_the_product_id(); ?>">
			<!-- THIS IS THE QUANTITY OPTION MUST BE ENABLED FROM ADMIN SETTINGS -->
			<?php if(wpsc_has_multi_adding()): ?>
				<input type="hidden" id='wpsc_quantity_update' name="wpsc_quantity_update" size="2" value="1"/>
				<input type="hidden" name="key" value="<?php echo wpsc_the_cart_item_key(); ?>"/>
				<input type="hidden" name="wpsc_update_quantity" value="true"/>
			<?php endif ;?>
			<!-- END OF QUANTITY OPTION -->
			<input type="hidden" value="add_to_cart" name="wpsc_ajax_action"/>
			<input type="hidden" value="<?php echo wpsc_the_product_id(); ?>" name="product_id"/>

			<?php if(wpsc_product_is_customisable()) : ?>				
				<input type="hidden" value="true" name="is_customisable"/>
			<?php endif; ?>

			<?php if((get_option('hide_addtocart_button') == 0) && (get_option('addtocart_or_buynow') !='1')) : ?>
				<?php if(wpsc_product_has_stock()) : ?>
				<span class="buy">
					<img width="14" height="16" src="<?php bloginfo('template_url'); ?>/images/ico_buy.png" />
					<?php if(wpsc_product_external_link(wpsc_the_product_id()) != '') : ?>
						<?php	$action =  wpsc_product_external_link(wpsc_the_product_id()); ?>
					<a href="<?php echo wpsc_the_product_permalink(); ?>" onclick="javascript:gotoexternallink('<?php echo $action; ?>');"><?php echo TXT_WPSC_BUYNOW; ?></a>
					<?php else: ?>
					<a href="<?php echo wpsc_the_product_permalink(); ?>" id="product_<?php echo wpsc_the_product_id(); ?>_submit_button" onclick="javascript:document.getElementById('product_<?php echo wpsc_the_product_id(); ?>').submit();"><?php echo TXT_WPSC_ADDTOCART; ?></a>
					<?php endif; ?>
				</span>
				<div class='wpsc_loading_animation'>
					<img title="Loading" alt="Loading" src="<?php echo WPSC_URL ;?>/images/indicator.gif" class="loadingimage" />
					<?php echo TXT_WPSC_UPDATING_CART; ?>
				</div>
				<?php else : ?>
				<p class='soldout'><?php echo TXT_WPSC_PRODUCTSOLDOUT; ?></p>
				<?php endif ; ?>
			<?php endif ; ?>
			</form>
			<?php endwhile; ?>
			<h3>Most Downloaded Apps</h3>
<?php
$sql = 'SELECT count(fileid) as total_download, prodid as id, c.name, c.image ';
$sql .= 'FROM ' . WPSC_TABLE_DOWNLOAD_STATUS . ' a, ' . WPSC_TABLE_CART_CONTENTS . ' b, ' . WPSC_TABLE_PRODUCT_LIST . ' c ';
$sql .= 'WHERE a.cartid = b.id AND b.prodid = c.id AND c.publish = 1 AND c.active = 1 AND downloads = 0 ';
$sql .= 'GROUP BY fileid ORDER BY total_download DESC LIMIT 7';

$wpsc_query->products = $wpdb->get_results($sql, ARRAY_A);
$wpsc_query->product_count = count($wpsc_query->products);
?>
			<ul class="mostapp">
				<?php while (wpsc_have_products()) :  wpsc_the_product(); ?>
				<li>
					<?php if(get_option('show_thumbnails')) :?>
					<?php if(wpsc_the_product_thumbnail()) :?>
						<img id="product_image_<?php echo wpsc_the_product_id(); ?>" alt="<?php echo wpsc_the_product_title(); ?>" title="<?php echo wpsc_the_product_title(); ?>" src="<?php echo wpsc_the_product_thumbnail(); ?>" width="62" height="62" />
					<?php else: ?>
						<span>No Image Available</span>
					<?php endif; ?>
					<?php endif; ?>
					<h4>
					<?php $p_title = wpsc_the_product_title(); ?>
					<?php $p_title = (strlen($p_title) > 8) ? substr($p_title, 0, 8) . '...' : $p_title; ?>
					<?php if(get_option('hide_name_link') == 1) : ?>
						<span><?php echo  $p_title; ?></span>
					<?php else: ?> 
						<a href="<?php echo wpsc_the_product_permalink(); ?>" title="<?php echo wpsc_the_product_title(); ?>"><?php echo  $p_title; ?></a>
					<?php endif; ?>
					</h4>
					<span class="grey"><?php echo $wpsc_query->product['total_download']; ?> downloads</span>
					<div class="clear"></div>
				</li>
				<?php endwhile; ?>
			</ul>
		</div>
	</div>